%global momorel 4
### avoid removing each unused entry for languages
%define _unpackaged_files_terminate_build 0

Summary: The default startup scripts for the X Window System.
Name: xinitrc
Version: 3.37
Release: %{momorel}m
License: Public Domain
Group: User Interface/X
Source0: xinitrc-momonga-20040408.tar.bz2
Patch0: xinitrc-momonga-locale-20041205.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig
Requires: xorg-x11
BuildArchitectures: noarch

%package additional
Summary: Additional startup scripts for the X Window System.
Group: User Interface/X
Requires: xinitrc

%package french
Summary: Additional startup scripts for the X Window System.
Group: User Interface/X
Requires: xinitrc

%package english
Summary: Additional startup scripts for the X Window System.
Group: User Interface/X
Requires: xinitrc

%package spanish
Summary: Additional startup scripts for the X Window System.
Group: User Interface/X
Requires: xinitrc

%package german
Summary: Additional startup scripts for the X Window System.
Group: User Interface/X
Requires: xinitrc


%description
The xinitrc package contains the xinitrc file, a script which is used
to configure your X Window System session or to start a window
manager.

This package contains some locale configuration files, but not all 
files are included. If you want use other locale, try extra package.

For English (xinitrc-english) --- when use en_* locale except en_US,en_GB
For French  (xinitrc-french)  --- when use fr_* locale except fr_FR
For German  (xinitrc-german)  --- when use de_* locale except de_DE
For Spanish (xinitrc-spanish) --- when use es_* locale except es_ES

For Others  (xinitrc-additional) -- more locales

%description additional
Additional locale configurariotn files.
Each locale has few gettextized application.

%description french
Additional French package.
If you want to use some fr_* locale (except fr_FR). try this.

%description german
Additional German package.
If you want to use some de_* locale (except de_DE). try this.

%description english
Additional English package.
If you want to use some en_* locale (except en_US,en_GB). try this.

%description spanish
Additional Spanish package.
If you want to use some es_* locale (except es_ES). try this.

%prep
%setup -q -n xinitrc-momonga
%patch0 -p1 -b .sr_YU

%build
make

%install
rm -rf %{buildroot}
mkdir %{buildroot}
cp -a etc usr %{buildroot}

if [ %{_initscriptdir} = /etc/init.d ] ; then
  mv %{buildroot}/etc/rc.d/init.d %{buildroot}/etc
fi

pushd %{buildroot}/etc/X11/xinit/lang.d
# avoid dup lang.
rm ar_IN en_IN fa_IR hi_IN mr_IN ta_IN te_IN ur_PK vi_VN

# remove not supported locales

# we cannot support some Chinese locales yet
rm zh_TW.EUC-TW zh_CN.GB18030 zh_CN.GBK zh_HK

# we cannot support ISO-8859-6 yet (font missing)
rm ar_AE ar_BH ar_DZ ar_EG ar_IQ ar_JO ar_KW ar_LB ar_LY ar_MA ar_OM
rm ar_QA ar_SA ar_SD ar_SY ar_TN ar_YE

# we cannot support UTF-8@euro locales (I don't know. why ?)
# rm *.UTF-8@euro
popd


%clean
rm -rf %{buildroot}

%files -f base
%defattr(-,root,root)
%{_bindir}/chlang
%{_datadir}/config-sample/xinitrc
%dir %{_sysconfdir}/X11/xinit
%{_sysconfdir}/X11/xinit/Xclients
%{_sysconfdir}/X11/xinit/Xmodmap
%{_sysconfdir}/X11/xinit/Xsession
%{_sysconfdir}/X11/xinit/xinitrc
%{_sysconfdir}/X11/xinit/session.d
%{_sysconfdir}/X11/xinit/xim.d
%dir %{_sysconfdir}/X11/xinit/lang.d
%config %{_initscriptdir}/xinitrc

%files spanish -f spanish
%defattr(-,root,root)

%files additional -f additional
%defattr(-,root,root)

%files german -f german
%defattr(-,root,root)

%files english -f english
%defattr(-,root,root)

%files french -f french
%defattr(-,root,root)

%post
/sbin/chkconfig --add xinitrc

%preun
/sbin/chkconfig --del xinitrc

%changelog
* Tue Feb 15 2005 Toru Hoshina <t@momonga-linux.org>
- (3.37-4m)
- xterm is back to a part of xorg-x11.

* Tue Jan 11 2005 zunda <zunda at freeshell.org>
- (3.37-3m)
- Requires: xorg-x11 instead of XFree86

* Sun Dec  5 2004 Kimitake SHIBATA <siva@momonga-liux.org>
- (3.37-2m)
- remove locale sr_YU

* Thu Apr  8 2004 Toru Hoshina <t@momonga-linux.org>
- (3.37-1m)
- ver up :-p

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (3.20-29m)
- revised spec for rpm 4.2.

* Sat Mar 06 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.20-28m)
- fix xfce4 Xclients-gnome-settings-daemon.patch

* Thu Oct 23 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.20-27m)
- revise Xclients-gnome-settings-daemon.patch (Thanks to Tomokazu [Momonga-devel.ja:02208])

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.20-26m)
- revise Xclients-gnome-settings-daemon.patch for XFce4
- use %%momorel macro

* Sat Aug 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.20-25m)
- remove ja_JP.SJIS from locale selection

* Tue Mar 18 2003 Kenta MURATA <muraken2@nifty.com>
- (3.20-24m)
- downcase KDE.

* Mon Mar 17 2003 Kenta MURATA <muraken2@nifty.com>
- (3.20-23m)
- execute gnome-settings-daemon if it exists and not KDE.

* Thu Oct 17 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.20-22m)
- export FONTCONFIG_TT_MS_LANGID if ja_JP locale.

* Sat Oct  5 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.20-21m)
- add patch for iiimf-canna

* Mon Sep 23 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.20-20m)
- add %dir %{_sysconfdir}/X11/xinit/lang.d  to %files

* Fri Jul 26 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (3.20-19m)
- Now only ~/.Xresources is loaded explicitly.
  Examine X Resource Manager mechanism for why.

* Thu May  2 2002 zunda <zunda@kondara.org>
- (3.20-18k)
- revised Xclients. iiimf-skk does not have LookupAux

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.20-16k)
- delete Requires: /bin/sh

* Sun Apr 28 2002 Toru Hoshina <t@kondara.org>
- (3.20-14k)
- revised Xclients. see [Kondara-users.ja:07689]

* Thu Dec 06 2001 Motonobu Ichimura <famao@kondara.org>
- (3.20-12k)
- more hack

* Thu Dec 06 2001 Motonobu Ichimura <famao@kondara.org>
- (3.20-10k)
- begin to modify

* Mon Oct 29 2001 Toru Hoshina <t@kondara.org>
- (3.20-8k)
- rebuild against glibc 2.2.4.

* Thu Oct 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.20-6k)
- modify spec file to robust

* Sun Sep 30 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.20-4k)
- revise xinitrc so as to read X resource files.

* Mon Sep 24 2001 Toru Hoshina <t@kondara.org>
- (3.20-2k)
- Xmodmap and xinitrc modified, a little bit...

* Tue May 29 2001 Akira Higuchi <a@kondara.org>
- (32k)
- create /tmp/.ICE-unix directory

* Sat May  5 2001 Toru Hoshina <toru@df-usa.com>
- (30k)
- eucjp -> eucJP ...(TT

* Wed May  2 2001 Akira Higuchi <a@kondara.org>
- (29k)
- BuildRequires locale-utf

* Tue Apr 17 2001 Akira Higuchi <a@kondara.org>
- (2.4.6-27k)
- many changes B)

* Tue Apr 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- keycode = 22 is "e" on Power Mac

* Mon Mar 04 2001 Motonobu Ichimrua <famao@kondara.org>
- added Require xterm (#863)

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@dfs-usa.com>
- (2.4.6-23k)
- modified spec file with %{_initscriptdir} macro

* Tue Dec 12 2000 Kenichi Matsubara <m@kondara.org>
- pt_BR,pt_BR.UTF8 typo fix.

* Sat Nov 18 2000 Toru Hoshina <toru@df-usa.com>
- Kondara 2k & 1.2.x should use old Xclients.

* Fri Oct 13 2000 Toru Hoshina <toru@df-usa.com>
- revised lang.d scripts again.

* Tue Oct 10 2000 Toru Hoshina <toru@df-usa.com>
- added and revised lang.d scripts.

* Wed Aug 02 2000 Akira Higuchi <a@kondara.org>
- some fixes in Xclients

* Thu Jul 27 2000 Akira Higuchi <a@kondara.org>
- set SESSION_MANAGER_EXCLUDES

* Sun Jul 23 2000 Akira Higuchi <a@kondara.org>
- invoke ximswitch if exists

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Wed May 24 2000 Akira Higuchi <a@kondara.org>
- fixed a typo (ko_KR.eucJP -> ko_KR.eucKR)

* Tue May 23 2000 Akira Higuchi <a@kondara.org>
- added more UTF-8 locales
- added chlang script

* Tue May  9 2000 Akira Higuchi <a@kondara.org>
- added en_US.UTF-8 locale

* Mon Apr  3 2000 Akira Higuchi <a@kondara.org>
- added session.d/{twm,xsm}
- source $user_hook instead of making a subshell

* Mon Feb 28 2000 Akira Higuchi <a@kondara.org>
- fixed the bug that $IM_EXEC, $PRE_EXEC, and $SESSION_EXEC is quoted

* Mon Feb 21 2000 Akira Higuchi <a@kondara.org>
- removed session.d/* and xim.d/*

* Sat Feb 19 2000 Akira Higuchi <a@kondara.org>
- clear screen in Xsession
- read not only $HOME/.Xresources but also $HOME/.Xdefaults

* Sat Jan 08 2000 Shingo Akagaki <dora@kondara.org>
- typo fix
- now /etc/rc.d/init.d/xinitrc was use chkconfig

* Fri Dec 31 1999 Akira Higuchi <a@kondara.org>
- added /etc/rc.d/init.d/xinitrc which creates /etc/sysconfig/xinit-session

* Thu Dec 30 1999 Akira Higuchi <a@kondara.org>
- call ssh-agent if exists

* Wed Dec 01 1999 Shingo Akagaki <dora@kondara.org>
- add PRE_EXEC 

* Fri Nov 26 1999 Shingo Akagaki <dora@kondara.org>
- remove /etc/X11/xinit/session.d/* scripts
- remove /etc/X11/xinit/xim.d/* scripts

* Fri Nov 26 1999 Hidetomo Machi <mcHT@kondara.org>
- changed the word from Gnome to GNOME in /etc/X11/session/gnome

* Thu Nov 25 1999 Akira Higuchi <a@kondara.org>
- reorganized the whole contents of xinitrc.

* Sat Nov 20 1999 Shingo Akagaki <dora@kondara.org>
- modify /etc/X11/xinit/XClients

* Thu Nov 11 1999 Norihito Ohmori <nono@kondara.org>
- modify /etc/X11/xinit/XClients

* Wed Nov 10 1999 Matt Wilson <msw@redhat.com>
- fix for sun keyboard sed line.  sed was missing the input file

* Mon Nov  8 1999 Jakub Jelinek <jakub@redhat.com>
- typo fix.

* Mon Oct 18 1999 Preston Brown <pbrown@redhat.com>
- patched xinitrc to run setxkbmap -symbols on sparc if XkbSymbols variable
  is defined (from Jakub)

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- enable use of xkb configuration files if they are present (# 4059)

* Thu Jun 17 1999 Bill Nottingham <notting@redhat.com>
- make Xclients/xinitrc executable...

* Thu Jun 10 1999 Preston Brown <pbrown@redhat.com>
- look for not only .Xmodmap/.Xresources, but also Xmodmap/Xresources
- Xmodmap w/ "keycode 22 = BackSpace" added for non Xkb-extension users

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- argh, fixed my changes from yesterday

* Sun Apr 18 1999 Preston Brown <pbrown@redhat.com>
- added /etc/sysconfig/desktop support

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- make /etc/X11/xinit/* %config (bug #1051)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- added ability to have KDE recognized if it is all that is installed

* Wed Jan 27 1999 Preston Brown <pbrown@redhat.com>
- updated so that GNOME is the default, and a few other cleanups

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- added the RunWM script and modified Xclients to use this new script

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- included WindowMaker hints

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- handle AfterStep (and possibly other window managers)

* Tue Nov 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- export the BROWSER variable.

* Fri Nov 08 1997 Cristian Gafton <gafton@redhat.com>
- added handling for the BROWSER variable

* Wed Oct 15 1997 Cristian Gaftin <gafton@redhat.com>
- updated for AnotherLevel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built for glibc, added dependencies

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Added /etc/X11/xinitrc/Xclients to this file and removed it from rootfiles
  and etcskel.

